#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSS = 858,
  CSS2Properties = 862,
  CSSAnimation = 877,
  CSSConditionRule = 890,
  CSSContainerRule = 907,
  CSSCounterStyleRule = 924,
  CSSCustomPropertyRegisteredEvent = 944,
  CSSFontFaceRule = 977,
  CSSFontFeatureValuesRule = 993,
  CSSFontPaletteValuesRule = 1018,
  CSSGroupingRule = 1043,
  CSSImportRule = 1059,
  CSSKeyframeRule = 1073,
  CSSKeyframesRule = 1089,
  CSSLayerBlockRule = 1106,
  CSSLayerStatementRule = 1124,
  CSSMediaRule = 1146,
  CSSMozDocumentRule = 1159,
  CSSNamespaceRule = 1178,
  CSSPageRule = 1195,
  CSSPropertyRule = 1207,
  CSSPseudoElement = 1223,
  CSSRule = 1240,
  CSSRuleList = 1248,
  CSSScopeRule = 1260,
  CSSStartingStyleRule = 1273,
  CSSStyleDeclaration = 1294,
  CSSStyleRule = 1314,
  CSSStyleSheet = 1327,
  CSSSupportsRule = 1341,
  CSSTransition = 1357,
  Cache = 1371,
  CacheStorage = 1377,
  CallbackDebuggerNotification = 1390,
  CanonicalBrowsingContext = 1419,
  CanvasCaptureMediaStream = 1444,
  CanvasGradient = 1469,
  CanvasPattern = 1484,
  CanvasRenderingContext2D = 1498,
  CaretPosition = 1523,
  CaretStateChangedEvent = 1537,
  ChannelMergerNode = 1560,
  ChannelSplitterNode = 1578,
  ChannelWrapper = 1598,
  CharacterData = 1613,
  CheckerboardReportService = 1627,
  ChildProcessMessageManager = 1653,
  ChildSHistory = 1680,
  ChromeMessageBroadcaster = 1694,
  ChromeMessageSender = 1719,
  ChromeNodeList = 1739,
  ChromeUtils = 1754,
  ChromeWorker = 1766,
  Client = 1779,
  Clients = 1786,
  Clipboard = 1794,
  ClipboardEvent = 1804,
  ClipboardItem = 1819,
  ClonedErrorHolder = 1833,
  CloseEvent = 1851,
  CommandEvent = 1862,
  Comment = 1875,
  CompositionEvent = 1883,
  CompressionStream = 1900,
  ConsoleInstance = 1918,
  ConstantSourceNode = 1934,
  ContentFrameMessageManager = 1953,
  ContentProcessMessageManager = 1980,
  ContentVisibilityAutoStateChangeEvent = 2009,
  ConvolverNode = 2047,
  CountQueuingStrategy = 2061,
  CreateOfferRequest = 2082,
  Credential = 2101,
  CredentialsContainer = 2112,
  Crypto = 2133,
  CryptoKey = 2140,
  CustomElementRegistry = 2150,
  CustomEvent = 2172,
  CustomStateSet = 2184,
  DOMException = 2199,
  DOMImplementation = 2212,
  DOMLocalization = 2230,
  DOMMatrix = 2246,
  DOMMatrixReadOnly = 2256,
  DOMParser = 2274,
  DOMPoint = 2284,
  DOMPointReadOnly = 2293,
  DOMQuad = 2310,
  DOMRect = 2318,
  DOMRectList = 2326,
  DOMRectReadOnly = 2338,
  DOMStringList = 2354,
  DOMStringMap = 2368,
  DOMTokenList = 2381,
  DataTransfer = 2394,
  DataTransferItem = 2407,
  DataTransferItemList = 2424,
  DebuggerNotification = 2445,
  DebuggerNotificationObserver = 2466,
  DecompressionStream = 2495,
  DedicatedWorkerGlobalScope = 2515,
  DelayNode = 2542,
  DeprecationReportBody = 2552,
  DeviceAcceleration = 2574,
  DeviceLightEvent = 2593,
  DeviceMotionEvent = 2610,
  DeviceOrientationEvent = 2628,
  DeviceRotationRate = 2651,
  Directory = 2670,
  Document = 2680,
  DocumentFragment = 2689,
  DocumentL10n = 2706,
  DocumentTimeline = 2719,
  DocumentType = 2736,
  DominatorTree = 2749,
  DragEvent = 2763,
  DynamicsCompressorNode = 2773,
  EXT_blend_minmax = 2796,
  EXT_color_buffer_float = 2813,
  EXT_color_buffer_half_float = 2836,
  EXT_disjoint_timer_query = 2864,
  EXT_float_blend = 2889,
  EXT_frag_depth = 2905,
  EXT_sRGB = 2920,
  EXT_shader_texture_lod = 2929,
  EXT_texture_compression_bptc = 2952,
  EXT_texture_compression_rgtc = 2981,
  EXT_texture_filter_anisotropic = 3010,
  EXT_texture_norm16 = 3041,
  Element = 3060,
  ElementInternals = 3068,
  EncodedAudioChunk = 3085,
  EncodedVideoChunk = 3103,
  ErrorEvent = 3121,
  Event = 3132,
  EventCallbackDebuggerNotification = 3138,
  EventCounts = 3172,
  EventSource = 3184,
  EventTarget = 3196,
  Exception = 3208,
  ExtendableEvent = 3218,
  ExtendableMessageEvent = 3234,
  ExtensionAlarms = 3257,
  ExtensionBrowser = 3273,
  ExtensionBrowserSettings = 3290,
  ExtensionBrowserSettingsColorManagement = 3315,
  ExtensionDns = 3355,
  ExtensionEventManager = 3368,
  ExtensionMockAPI = 3390,
  ExtensionPort = 3407,
  ExtensionProxy = 3421,
  ExtensionRuntime = 3436,
  ExtensionScripting = 3453,
  ExtensionSetting = 3472,
  ExtensionTest = 3489,
  External = 3503,
  FeaturePolicy = 3512,
  FeaturePolicyViolationReportBody = 3526,
  FetchEvent = 3559,
  FetchObserver = 3570,
  File = 3584,
  FileList = 3589,
  FileReader = 3598,
  FileReaderSync = 3609,
  FileSystem = 3624,
  FileSystemDirectoryEntry = 3635,
  FileSystemDirectoryHandle = 3660,
  FileSystemDirectoryHandle_AsyncIterator = 3686,
  FileSystemDirectoryIterator = 3726,
  FileSystemDirectoryReader = 3754,
  FileSystemEntry = 3780,
  FileSystemFileEntry = 3796,
  FileSystemFileHandle = 3816,
  FileSystemHandle = 3837,
  FileSystemSyncAccessHandle = 3854,
  FileSystemWritableFileStream = 3881,
  Flex = 3910,
  FlexItemValues = 3915,
  FlexLineValues = 3930,
  FluentBundle = 3945,
  FluentBundleAsyncIterator = 3958,
  FluentBundleIterator = 3984,
  FluentPattern = 4005,
  FluentResource = 4019,
  FocusEvent = 4034,
  FontFace = 4045,
  FontFaceSet = 4054,
  FontFaceSetIterator = 4066,
  FontFaceSetLoadEvent = 4086,
  FormData = 4107,
  FormData_Iterator = 4116,
  FormDataEvent = 4134,
  FragmentDirective = 4148,
  FrameCrashedEvent = 4166,
  FrameLoader = 4184,
  GPU = 4196,
  GPUAdapter = 4200,
  GPUAdapterInfo = 4211,
  GPUBindGroup = 4226,
  GPUBindGroupLayout = 4239,
  GPUBuffer = 4258,
  GPUBufferUsage = 4268,
  GPUCanvasContext = 4283,
  GPUColorWrite = 4300,
  GPUCommandBuffer = 4314,
  GPUCommandEncoder = 4331,
  GPUCompilationInfo = 4349,
  GPUCompilationMessage = 4368,
  GPUComputePassEncoder = 4390,
  GPUComputePipeline = 4412,
  GPUDevice = 4431,
  GPUDeviceLostInfo = 4441,
  GPUError = 4459,
  GPUInternalError = 4468,
  GPUMapMode = 4485,
  GPUOutOfMemoryError = 4496,
  GPUPipelineLayout = 4516,
  GPUQuerySet = 4534,
  GPUQueue = 4546,
  GPURenderBundle = 4555,
  GPURenderBundleEncoder = 4571,
  GPURenderPassEncoder = 4594,
  GPURenderPipeline = 4615,
  GPUSampler = 4633,
  GPUShaderModule = 4644,
  GPUShaderStage = 4660,
  GPUSupportedFeatures = 4675,
  GPUSupportedLimits = 4696,
  GPUTexture = 4715,
  GPUTextureUsage = 4726,
  GPUTextureView = 4742,
  GPUUncapturedErrorEvent = 4757,
  GPUValidationError = 4781,
  GainNode = 4800,
  Gamepad = 4809,
  GamepadAxisMoveEvent = 4817,
  GamepadButton = 4838,
  GamepadButtonEvent = 4852,
  GamepadEvent = 4871,
  GamepadHapticActuator = 4884,
  GamepadLightIndicator = 4906,
  GamepadPose = 4928,
  GamepadServiceTest = 4940,
  GamepadTouch = 4959,
  Geolocation = 4972,
  GeolocationCoordinates = 4984,
  GeolocationPosition = 5007,
  GeolocationPositionError = 5027,
  GetUserMediaRequest = 5052,
  GleanBoolean = 5072,
  GleanCategory = 5085,
  GleanCounter = 5099,
  GleanCustomDistribution = 5112,
  GleanDatetime = 5136,
  GleanDenominator = 5150,
  GleanEvent = 5167,
  GleanImpl = 5178,
  GleanLabeled = 5188,
  GleanMemoryDistribution = 5201,
  GleanMetric = 5225,
  GleanNumerator = 5237,
  GleanObject = 5252,
  GleanPingsImpl = 5264,
  GleanQuantity = 5279,
  GleanRate = 5293,
  GleanString = 5303,
  GleanStringList = 5315,
  GleanText = 5331,
  GleanTimespan = 5341,
  GleanTimingDistribution = 5355,
  GleanUrl = 5379,
  GleanUuid = 5388,
  Grid = 5398,
  GridArea = 5403,
  GridDimension = 5412,
  GridLine = 5426,
  GridLines = 5435,
  GridTrack = 5445,
  GridTracks = 5455,
  HTMLAllCollection = 5466,
  HTMLAnchorElement = 5484,
  HTMLAreaElement = 5502,
  HTMLAudioElement = 5518,
  HTMLBRElement = 5535,
  HTMLBaseElement = 5549,
  HTMLBodyElement = 5565,
  HTMLButtonElement = 5581,
  HTMLCanvasElement = 5599,
  HTMLCollection = 5617,
  HTMLDListElement = 5632,
  HTMLDataElement = 5649,
  HTMLDataListElement = 5665,
  HTMLDetailsElement = 5685,
  HTMLDialogElement = 5704,
  HTMLDirectoryElement = 5722,
  HTMLDivElement = 5743,
  HTMLDocument = 5758,
  HTMLElement = 5771,
  HTMLEmbedElement = 5783,
  HTMLFieldSetElement = 5800,
  HTMLFontElement = 5820,
  HTMLFormControlsCollection = 5836,
  HTMLFormElement = 5863,
  HTMLFrameElement = 5879,
  HTMLFrameSetElement = 5896,
  HTMLHRElement = 5916,
  HTMLHeadElement = 5930,
  HTMLHeadingElement = 5946,
  HTMLHtmlElement = 5965,
  HTMLIFrameElement = 5981,
  HTMLImageElement = 5999,
  HTMLInputElement = 6016,
  HTMLLIElement = 6033,
  HTMLLabelElement = 6047,
  HTMLLegendElement = 6064,
  HTMLLinkElement = 6082,
  HTMLMapElement = 6098,
  HTMLMarqueeElement = 6113,
  HTMLMediaElement = 6132,
  HTMLMenuElement = 6149,
  HTMLMetaElement = 6165,
  HTMLMeterElement = 6181,
  HTMLModElement = 6198,
  HTMLOListElement = 6213,
  HTMLObjectElement = 6230,
  HTMLOptGroupElement = 6248,
  HTMLOptionElement = 6268,
  HTMLOptionsCollection = 6286,
  HTMLOutputElement = 6308,
  HTMLParagraphElement = 6326,
  HTMLParamElement = 6347,
  HTMLPictureElement = 6364,
  HTMLPreElement = 6383,
  HTMLProgressElement = 6398,
  HTMLQuoteElement = 6418,
  HTMLScriptElement = 6435,
  HTMLSelectElement = 6453,
  HTMLSlotElement = 6471,
  HTMLSourceElement = 6487,
  HTMLSpanElement = 6505,
  HTMLStyleElement = 6521,
  HTMLTableCaptionElement = 6538,
  HTMLTableCellElement = 6562,
  HTMLTableColElement = 6583,
  HTMLTableElement = 6603,
  HTMLTableRowElement = 6620,
  HTMLTableSectionElement = 6640,
  HTMLTemplateElement = 6664,
  HTMLTextAreaElement = 6684,
  HTMLTimeElement = 6704,
  HTMLTitleElement = 6720,
  HTMLTrackElement = 6737,
  HTMLUListElement = 6754,
  HTMLUnknownElement = 6771,
  HTMLVideoElement = 6790,
  HashChangeEvent = 6807,
  Headers = 6823,
  Headers_Iterator = 6831,
  HeapSnapshot = 6848,
  Highlight = 6861,
  HighlightRegistry = 6871,
  History = 6889,
  IDBCursor = 6897,
  IDBCursorWithValue = 6907,
  IDBDatabase = 6926,
  IDBFactory = 6938,
  IDBIndex = 6949,
  IDBKeyRange = 6958,
  IDBObjectStore = 6970,
  IDBOpenDBRequest = 6985,
  IDBRequest = 7002,
  IDBTransaction = 7013,
  IDBVersionChangeEvent = 7028,
  IIRFilterNode = 7050,
  IOUtils = 7064,
  IdentityCredential = 7072,
  IdleDeadline = 7091,
  Image = 7104,
  ImageBitmap = 7110,
  ImageBitmapRenderingContext = 7122,
  ImageCapture = 7150,
  ImageCaptureError = 7163,
  ImageCaptureErrorEvent = 7181,
  ImageData = 7204,
  ImageDocument = 7214,
  InputEvent = 7228,
  InspectorFontFace = 7239,
  InspectorUtils = 7257,
  InstallTriggerImpl = 7272,
  IntersectionObserver = 7291,
  IntersectionObserverEntry = 7312,
  IntlUtils = 7338,
  InvokeEvent = 7348,
  JSProcessActorChild = 7360,
  JSProcessActorParent = 7380,
  JSWindowActorChild = 7401,
  JSWindowActorParent = 7420,
  KeyEvent = 7440,
  KeyboardEvent = 7449,
  KeyframeEffect = 7463,
  L10nFileSource = 7478,
  L10nOverlays = 7493,
  L10nRegistry = 7506,
  LargestContentfulPaint = 7519,
  LegacyMozTCPSocket = 7542,
  Localization = 7561,
  Location = 7574,
  Lock = 7583,
  LockManager = 7588,
  MIDIAccess = 7600,
  MIDIConnectionEvent = 7611,
  MIDIInput = 7631,
  MIDIInputMap = 7641,
  MIDIMessageEvent = 7654,
  MIDIOutput = 7671,
  MIDIOutputMap = 7682,
  MIDIPort = 7696,
  MOZ_debug = 7705,
  MatchGlob = 7715,
  MatchPattern = 7725,
  MatchPatternSet = 7738,
  MathMLElement = 7754,
  MediaCapabilities = 7768,
  MediaCapabilitiesInfo = 7786,
  MediaControlService = 7808,
  MediaController = 7828,
  MediaDeviceInfo = 7844,
  MediaDevices = 7860,
  MediaElementAudioSourceNode = 7873,
  MediaEncryptedEvent = 7901,
  MediaError = 7921,
  MediaKeyError = 7932,
  MediaKeyMessageEvent = 7946,
  MediaKeySession = 7967,
  MediaKeyStatusMap = 7983,
  MediaKeyStatusMap_Iterator = 8001,
  MediaKeySystemAccess = 8028,
  MediaKeys = 8049,
  MediaList = 8059,
  MediaMetadata = 8069,
  MediaQueryList = 8083,
  MediaQueryListEvent = 8098,
  MediaRecorder = 8118,
  MediaRecorderErrorEvent = 8132,
  MediaSession = 8156,
  MediaSource = 8169,
  MediaStream = 8181,
  MediaStreamAudioDestinationNode = 8193,
  MediaStreamAudioSourceNode = 8225,
  MediaStreamError = 8252,
  MediaStreamEvent = 8269,
  MediaStreamTrack = 8286,
  MediaStreamTrackAudioSourceNode = 8303,
  MediaStreamTrackEvent = 8335,
  MerchantValidationEvent = 8357,
  MessageBroadcaster = 8381,
  MessageChannel = 8400,
  MessageEvent = 8415,
  MessageListenerManager = 8428,
  MessagePort = 8451,
  MessageSender = 8463,
  MimeType = 8477,
  MimeTypeArray = 8486,
  MouseEvent = 8500,
  MouseScrollEvent = 8511,
  MozCanvasPrintState = 8528,
  MozDocumentMatcher = 8548,
  MozDocumentObserver = 8567,
  MozQueryInterface = 8587,
  MozSharedMap = 8605,
  MozSharedMap_Iterator = 8618,
  MozSharedMapChangeEvent = 8640,
  MozStorageAsyncStatementParams = 8664,
  MozStorageStatementParams = 8695,
  MozStorageStatementRow = 8721,
  MozWritableSharedMap = 8744,
  MutationEvent = 8765,
  MutationObserver = 8779,
  MutationRecord = 8796,
  NamedNodeMap = 8811,
  NavigationPreloadManager = 8824,
  Navigator = 8849,
  NetworkInformation = 8859,
  Node = 8878,
  NodeFilter = 8883,
  NodeIterator = 8894,
  NodeList = 8907,
  Notification = 8916,
  NotificationEvent = 8929,
  NotifyPaintEvent = 8947,
  OES_draw_buffers_indexed = 8964,
  OES_element_index_uint = 8989,
  OES_fbo_render_mipmap = 9012,
  OES_standard_derivatives = 9034,
  OES_texture_float = 9059,
  OES_texture_float_linear = 9077,
  OES_texture_half_float = 9102,
  OES_texture_half_float_linear = 9125,
  OES_vertex_array_object = 9155,
  OVR_multiview2 = 9179,
  OfflineAudioCompletionEvent = 9194,
  OfflineAudioContext = 9222,
  OffscreenCanvas = 9242,
  OffscreenCanvasRenderingContext2D = 9258,
  Option = 9292,
  OscillatorNode = 9299,
  PageTransitionEvent = 9314,
  PaintRequest = 9334,
  PaintRequestList = 9347,
  PaintWorkletGlobalScope = 9364,
  PannerNode = 9388,
  ParentProcessMessageManager = 9399,
  Path2D = 9427,
  PathUtils = 9434,
  PaymentAddress = 9444,
  PaymentMethodChangeEvent = 9459,
  PaymentRequest = 9484,
  PaymentRequestUpdateEvent = 9499,
  PaymentResponse = 9525,
  Performance = 9541,
  PerformanceEntry = 9553,
  PerformanceEntryEvent = 9570,
  PerformanceEventTiming = 9592,
  PerformanceMark = 9615,
  PerformanceMeasure = 9631,
  PerformanceNavigation = 9650,
  PerformanceNavigationTiming = 9672,
  PerformanceObserver = 9700,
  PerformanceObserverEntryList = 9720,
  PerformancePaintTiming = 9749,
  PerformanceResourceTiming = 9772,
  PerformanceServerTiming = 9798,
  PerformanceTiming = 9822,
  PeriodicWave = 9840,
  PermissionStatus = 9853,
  Permissions = 9870,
  PlacesBookmark = 9882,
  PlacesBookmarkAddition = 9897,
  PlacesBookmarkChanged = 9920,
  PlacesBookmarkGuid = 9942,
  PlacesBookmarkKeyword = 9961,
  PlacesBookmarkMoved = 9983,
  PlacesBookmarkRemoved = 10003,
  PlacesBookmarkTags = 10025,
  PlacesBookmarkTime = 10044,
  PlacesBookmarkTitle = 10063,
  PlacesBookmarkUrl = 10083,
  PlacesEvent = 10101,
  PlacesEventCounts = 10113,
  PlacesFavicon = 10131,
  PlacesHistoryCleared = 10145,
  PlacesObservers = 10166,
  PlacesPurgeCaches = 10182,
  PlacesRanking = 10200,
  PlacesVisit = 10214,
  PlacesVisitRemoved = 10226,
  PlacesVisitTitle = 10245,
  PlacesWeakCallbackWrapper = 10262,
  Plugin = 10288,
  PluginArray = 10295,
  PluginCrashedEvent = 10307,
  PointerEvent = 10326,
  PopStateEvent = 10339,
  PopupBlockedEvent = 10353,
  PopupPositionedEvent = 10371,
  PositionStateEvent = 10392,
  PrecompiledScript = 10411,
  ProcessMessageManager = 10429,
  ProcessingInstruction = 10451,
  ProgressEvent = 10473,
  PromiseDebugging = 10487,
  PromiseNativeHandler = 10504,
  PromiseRejectionEvent = 10525,
  PublicKeyCredential = 10547,
  PushEvent = 10567,
  PushManager = 10577,
  PushManagerImpl = 10589,
  PushMessageData = 10605,
  PushSubscription = 10621,
  PushSubscriptionOptions = 10638,
  RadioNodeList = 10662,
  Range = 10676,
  ReadableByteStreamController = 10682,
  ReadableStream = 10711,
  ReadableStream_AsyncIterator = 10726,
  ReadableStreamBYOBReader = 10755,
  ReadableStreamBYOBRequest = 10780,
  ReadableStreamDefaultController = 10806,
  ReadableStreamDefaultReader = 10838,
  Report = 10866,
  ReportBody = 10873,
  ReportingObserver = 10884,
  Request = 10902,
  ResizeObserver = 10910,
  ResizeObserverEntry = 10925,
  ResizeObserverSize = 10945,
  Response = 10964,
  SVGAElement = 10973,
  SVGAngle = 10985,
  SVGAnimateElement = 10994,
  SVGAnimateMotionElement = 11012,
  SVGAnimateTransformElement = 11036,
  SVGAnimatedAngle = 11063,
  SVGAnimatedBoolean = 11080,
  SVGAnimatedEnumeration = 11099,
  SVGAnimatedInteger = 11122,
  SVGAnimatedLength = 11141,
  SVGAnimatedLengthList = 11159,
  SVGAnimatedNumber = 11181,
  SVGAnimatedNumberList = 11199,
  SVGAnimatedPreserveAspectRatio = 11221,
  SVGAnimatedRect = 11252,
  SVGAnimatedString = 11268,
  SVGAnimatedTransformList = 11286,
  SVGAnimationElement = 11311,
  SVGCircleElement = 11331,
  SVGClipPathElement = 11348,
  SVGComponentTransferFunctionElement = 11367,
  SVGDefsElement = 11403,
  SVGDescElement = 11418,
  SVGElement = 11433,
  SVGEllipseElement = 11444,
  SVGFEBlendElement = 11462,
  SVGFEColorMatrixElement = 11480,
  SVGFEComponentTransferElement = 11504,
  SVGFECompositeElement = 11534,
  SVGFEConvolveMatrixElement = 11556,
  SVGFEDiffuseLightingElement = 11583,
  SVGFEDisplacementMapElement = 11611,
  SVGFEDistantLightElement = 11639,
  SVGFEDropShadowElement = 11664,
  SVGFEFloodElement = 11687,
  SVGFEFuncAElement = 11705,
  SVGFEFuncBElement = 11723,
  SVGFEFuncGElement = 11741,
  SVGFEFuncRElement = 11759,
  SVGFEGaussianBlurElement = 11777,
  SVGFEImageElement = 11802,
  SVGFEMergeElement = 11820,
  SVGFEMergeNodeElement = 11838,
  SVGFEMorphologyElement = 11860,
  SVGFEOffsetElement = 11883,
  SVGFEPointLightElement = 11902,
  SVGFESpecularLightingElement = 11925,
  SVGFESpotLightElement = 11954,
  SVGFETileElement = 11976,
  SVGFETurbulenceElement = 11993,
  SVGFilterElement = 12016,
  SVGForeignObjectElement = 12033,
  SVGGElement = 12057,
  SVGGeometryElement = 12069,
  SVGGradientElement = 12088,
  SVGGraphicsElement = 12107,
  SVGImageElement = 12126,
  SVGLength = 12142,
  SVGLengthList = 12152,
  SVGLineElement = 12166,
  SVGLinearGradientElement = 12181,
  SVGMPathElement = 12206,
  SVGMarkerElement = 12222,
  SVGMaskElement = 12239,
  SVGMatrix = 12254,
  SVGMetadataElement = 12264,
  SVGNumber = 12283,
  SVGNumberList = 12293,
  SVGPathElement = 12307,
  SVGPathSeg = 12322,
  SVGPathSegArcAbs = 12333,
  SVGPathSegArcRel = 12350,
  SVGPathSegClosePath = 12367,
  SVGPathSegCurvetoCubicAbs = 12387,
  SVGPathSegCurvetoCubicRel = 12413,
  SVGPathSegCurvetoCubicSmoothAbs = 12439,
  SVGPathSegCurvetoCubicSmoothRel = 12471,
  SVGPathSegCurvetoQuadraticAbs = 12503,
  SVGPathSegCurvetoQuadraticRel = 12533,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12563,
  SVGPathSegCurvetoQuadraticSmoothRel = 12599,
  SVGPathSegLinetoAbs = 12635,
  SVGPathSegLinetoHorizontalAbs = 12655,
  SVGPathSegLinetoHorizontalRel = 12685,
  SVGPathSegLinetoRel = 12715,
  SVGPathSegLinetoVerticalAbs = 12735,
  SVGPathSegLinetoVerticalRel = 12763,
  SVGPathSegList = 12791,
  SVGPathSegMovetoAbs = 12806,
  SVGPathSegMovetoRel = 12826,
  SVGPatternElement = 12846,
  SVGPoint = 12864,
  SVGPointList = 12873,
  SVGPolygonElement = 12886,
  SVGPolylineElement = 12904,
  SVGPreserveAspectRatio = 12923,
  SVGRadialGradientElement = 12946,
  SVGRect = 12971,
  SVGRectElement = 12979,
  SVGSVGElement = 12994,
  SVGScriptElement = 13008,
  SVGSetElement = 13025,
  SVGStopElement = 13039,
  SVGStringList = 13054,
  SVGStyleElement = 13068,
  SVGSwitchElement = 13084,
  SVGSymbolElement = 13101,
  SVGTSpanElement = 13118,
  SVGTextContentElement = 13134,
  SVGTextElement = 13156,
  SVGTextPathElement = 13171,
  SVGTextPositioningElement = 13190,
  SVGTitleElement = 13216,
  SVGTransform = 13232,
  SVGTransformList = 13245,
  SVGUnitTypes = 13262,
  SVGUseElement = 13275,
  SVGViewElement = 13289,
  Sanitizer = 13304,
  Scheduler = 13314,
  Screen = 13324,
  ScreenLuminance = 13331,
  ScreenOrientation = 13347,
  ScriptProcessorNode = 13365,
  ScrollAreaEvent = 13385,
  ScrollViewChangeEvent = 13401,
  SecurityPolicyViolationEvent = 13423,
  Selection = 13452,
  ServiceWorker = 13462,
  ServiceWorkerContainer = 13476,
  ServiceWorkerGlobalScope = 13499,
  ServiceWorkerRegistration = 13524,
  SessionStoreFormData = 13550,
  SessionStoreScrollData = 13571,
  SessionStoreUtils = 13594,
  ShadowRealmGlobalScope = 13612,
  ShadowRoot = 13635,
  SharedWorker = 13646,
  SharedWorkerGlobalScope = 13659,
  SimpleGestureEvent = 13683,
  SourceBuffer = 13702,
  SourceBufferList = 13715,
  SpeechGrammar = 13732,
  SpeechGrammarList = 13746,
  SpeechRecognition = 13764,
  SpeechRecognitionAlternative = 13782,
  SpeechRecognitionError = 13811,
  SpeechRecognitionEvent = 13834,
  SpeechRecognitionResult = 13857,
  SpeechRecognitionResultList = 13881,
  SpeechSynthesis = 13909,
  SpeechSynthesisErrorEvent = 13925,
  SpeechSynthesisEvent = 13951,
  SpeechSynthesisUtterance = 13972,
  SpeechSynthesisVoice = 13997,
  StaticRange = 14018,
  StereoPannerNode = 14030,
  Storage = 14047,
  StorageEvent = 14055,
  StorageManager = 14068,
  StreamFilter = 14083,
  StreamFilterDataEvent = 14096,
  StructuredCloneHolder = 14118,
  StructuredCloneTester = 14140,
  StyleSheet = 14162,
  StyleSheetApplicableStateChangeEvent = 14173,
  StyleSheetList = 14210,
  StyleSheetRemovedEvent = 14225,
  SubmitEvent = 14248,
  SubtleCrypto = 14260,
  SyncMessageSender = 14273,
  SyncReadFile = 14291,
  TCPServerSocket = 14304,
  TCPServerSocketEvent = 14320,
  TCPSocket = 14341,
  TCPSocketErrorEvent = 14351,
  TCPSocketEvent = 14371,
  TaskController = 14386,
  TaskPriorityChangeEvent = 14401,
  TaskSignal = 14425,
  TelemetryStopwatch = 14436,
  TestUtils = 14455,
  TestingDeprecatedInterface = 14465,
  Text = 14492,
  TextClause = 14497,
  TextDecoder = 14508,
  TextDecoderStream = 14520,
  TextEncoder = 14538,
  TextEncoderStream = 14550,
  TextEvent = 14568,
  TextMetrics = 14578,
  TextTrack = 14590,
  TextTrackCue = 14600,
  TextTrackCueList = 14613,
  TextTrackList = 14630,
  TimeEvent = 14644,
  TimeRanges = 14654,
  ToggleEvent = 14665,
  Touch = 14677,
  TouchEvent = 14683,
  TouchList = 14694,
  TrackEvent = 14704,
  TransformStream = 14715,
  TransformStreamDefaultController = 14731,
  TransitionEvent = 14764,
  TreeColumn = 14780,
  TreeColumns = 14791,
  TreeContentView = 14803,
  TreeWalker = 14819,
  TrustedHTML = 14830,
  TrustedScript = 14842,
  TrustedScriptURL = 14856,
  TrustedTypePolicy = 14873,
  TrustedTypePolicyFactory = 14891,
  UDPMessageEvent = 14916,
  UDPSocket = 14932,
  UIEvent = 14942,
  URL = 14950,
  URLSearchParams = 14954,
  URLSearchParams_Iterator = 14970,
  UniFFIPointer = 14995,
  UniFFIScaffolding = 15009,
  UserActivation = 15027,
  UserInteraction = 15042,
  UserProximityEvent = 15058,
  VRDisplay = 15077,
  VRDisplayCapabilities = 15087,
  VRDisplayEvent = 15109,
  VREyeParameters = 15124,
  VRFieldOfView = 15140,
  VRFrameData = 15154,
  VRMockController = 15166,
  VRMockDisplay = 15183,
  VRPose = 15197,
  VRServiceTest = 15204,
  VRStageParameters = 15218,
  VTTCue = 15236,
  VTTRegion = 15243,
  ValidityState = 15253,
  VideoColorSpace = 15267,
  VideoDecoder = 15283,
  VideoEncoder = 15296,
  VideoFrame = 15309,
  VideoPlaybackQuality = 15320,
  VideoTrack = 15341,
  VideoTrackList = 15352,
  VisualViewport = 15367,
  WEBGL_color_buffer_float = 15382,
  WEBGL_compressed_texture_astc = 15407,
  WEBGL_compressed_texture_etc = 15437,
  WEBGL_compressed_texture_etc1 = 15466,
  WEBGL_compressed_texture_pvrtc = 15496,
  WEBGL_compressed_texture_s3tc = 15527,
  WEBGL_compressed_texture_s3tc_srgb = 15557,
  WEBGL_debug_renderer_info = 15592,
  WEBGL_debug_shaders = 15618,
  WEBGL_depth_texture = 15638,
  WEBGL_draw_buffers = 15658,
  WEBGL_explicit_present = 15677,
  WEBGL_lose_context = 15700,
  WEBGL_provoking_vertex = 15719,
  WakeLock = 15742,
  WakeLockSentinel = 15751,
  WaveShaperNode = 15768,
  WebExtensionContentScript = 15783,
  WebExtensionPolicy = 15809,
  WebGL2RenderingContext = 15828,
  WebGLActiveInfo = 15851,
  WebGLBuffer = 15867,
  WebGLContextEvent = 15879,
  WebGLFramebuffer = 15897,
  WebGLProgram = 15914,
  WebGLQuery = 15927,
  WebGLRenderbuffer = 15938,
  WebGLRenderingContext = 15956,
  WebGLSampler = 15978,
  WebGLShader = 15991,
  WebGLShaderPrecisionFormat = 16003,
  WebGLSync = 16030,
  WebGLTexture = 16040,
  WebGLTransformFeedback = 16053,
  WebGLUniformLocation = 16076,
  WebGLVertexArrayObject = 16097,
  WebKitCSSMatrix = 16120,
  WebSocket = 16136,
  WebTransport = 16146,
  WebTransportBidirectionalStream = 16159,
  WebTransportDatagramDuplexStream = 16191,
  WebTransportError = 16224,
  WebTransportReceiveStream = 16242,
  WebTransportSendStream = 16268,
  WheelEvent = 16291,
  Window = 16302,
  WindowClient = 16309,
  WindowContext = 16322,
  WindowGlobalChild = 16336,
  WindowGlobalParent = 16354,
  WindowRoot = 16373,
  Worker = 16384,
  WorkerDebuggerGlobalScope = 16391,
  WorkerGlobalScope = 16417,
  WorkerLocation = 16435,
  WorkerNavigator = 16450,
  WorkerTestUtils = 16466,
  Worklet = 16482,
  WorkletGlobalScope = 16490,
  WritableStream = 16509,
  WritableStreamDefaultController = 16524,
  WritableStreamDefaultWriter = 16556,
  XMLDocument = 16584,
  XMLHttpRequest = 16596,
  XMLHttpRequestEventTarget = 16611,
  XMLHttpRequestUpload = 16637,
  XMLSerializer = 16658,
  XPathEvaluator = 16672,
  XPathExpression = 16687,
  XPathResult = 16703,
  XRBoundedReferenceSpace = 16715,
  XRFrame = 16739,
  XRInputSource = 16747,
  XRInputSourceArray = 16761,
  XRInputSourceEvent = 16780,
  XRInputSourcesChangeEvent = 16799,
  XRPose = 16825,
  XRReferenceSpace = 16832,
  XRReferenceSpaceEvent = 16849,
  XRRenderState = 16871,
  XRRigidTransform = 16885,
  XRSession = 16902,
  XRSessionEvent = 16912,
  XRSpace = 16927,
  XRSystem = 16935,
  XRView = 16944,
  XRViewerPose = 16951,
  XRViewport = 16964,
  XRWebGLLayer = 16975,
  XSLTProcessor = 16988,
  XULCommandEvent = 17002,
  XULElement = 17018,
  XULFrameElement = 17029,
  XULMenuElement = 17045,
  XULPopupElement = 17060,
  XULResizerElement = 17076,
  XULTextElement = 17094,
  XULTreeElement = 17109,
  console = 17124,
  webkitSpeechGrammar = 17132,
  webkitSpeechGrammarList = 17152,
  webkitSpeechRecognition = 17176,
  webkitURL = 17200,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
