#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMediaRule" "\0"
  /*  1159 */ "CSSMozDocumentRule" "\0"
  /*  1178 */ "CSSNamespaceRule" "\0"
  /*  1195 */ "CSSPageRule" "\0"
  /*  1207 */ "CSSPropertyRule" "\0"
  /*  1223 */ "CSSPseudoElement" "\0"
  /*  1240 */ "CSSRule" "\0"
  /*  1248 */ "CSSRuleList" "\0"
  /*  1260 */ "CSSScopeRule" "\0"
  /*  1273 */ "CSSStartingStyleRule" "\0"
  /*  1294 */ "CSSStyleDeclaration" "\0"
  /*  1314 */ "CSSStyleRule" "\0"
  /*  1327 */ "CSSStyleSheet" "\0"
  /*  1341 */ "CSSSupportsRule" "\0"
  /*  1357 */ "CSSTransition" "\0"
  /*  1371 */ "Cache" "\0"
  /*  1377 */ "CacheStorage" "\0"
  /*  1390 */ "CallbackDebuggerNotification" "\0"
  /*  1419 */ "CanonicalBrowsingContext" "\0"
  /*  1444 */ "CanvasCaptureMediaStream" "\0"
  /*  1469 */ "CanvasGradient" "\0"
  /*  1484 */ "CanvasPattern" "\0"
  /*  1498 */ "CanvasRenderingContext2D" "\0"
  /*  1523 */ "CaretPosition" "\0"
  /*  1537 */ "CaretStateChangedEvent" "\0"
  /*  1560 */ "ChannelMergerNode" "\0"
  /*  1578 */ "ChannelSplitterNode" "\0"
  /*  1598 */ "ChannelWrapper" "\0"
  /*  1613 */ "CharacterData" "\0"
  /*  1627 */ "CheckerboardReportService" "\0"
  /*  1653 */ "ChildProcessMessageManager" "\0"
  /*  1680 */ "ChildSHistory" "\0"
  /*  1694 */ "ChromeMessageBroadcaster" "\0"
  /*  1719 */ "ChromeMessageSender" "\0"
  /*  1739 */ "ChromeNodeList" "\0"
  /*  1754 */ "ChromeUtils" "\0"
  /*  1766 */ "ChromeWorker" "\0"
  /*  1779 */ "Client" "\0"
  /*  1786 */ "Clients" "\0"
  /*  1794 */ "Clipboard" "\0"
  /*  1804 */ "ClipboardEvent" "\0"
  /*  1819 */ "ClipboardItem" "\0"
  /*  1833 */ "ClonedErrorHolder" "\0"
  /*  1851 */ "CloseEvent" "\0"
  /*  1862 */ "CommandEvent" "\0"
  /*  1875 */ "Comment" "\0"
  /*  1883 */ "CompositionEvent" "\0"
  /*  1900 */ "CompressionStream" "\0"
  /*  1918 */ "ConsoleInstance" "\0"
  /*  1934 */ "ConstantSourceNode" "\0"
  /*  1953 */ "ContentFrameMessageManager" "\0"
  /*  1980 */ "ContentProcessMessageManager" "\0"
  /*  2009 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2047 */ "ConvolverNode" "\0"
  /*  2061 */ "CountQueuingStrategy" "\0"
  /*  2082 */ "CreateOfferRequest" "\0"
  /*  2101 */ "Credential" "\0"
  /*  2112 */ "CredentialsContainer" "\0"
  /*  2133 */ "Crypto" "\0"
  /*  2140 */ "CryptoKey" "\0"
  /*  2150 */ "CustomElementRegistry" "\0"
  /*  2172 */ "CustomEvent" "\0"
  /*  2184 */ "CustomStateSet" "\0"
  /*  2199 */ "DOMException" "\0"
  /*  2212 */ "DOMImplementation" "\0"
  /*  2230 */ "DOMLocalization" "\0"
  /*  2246 */ "DOMMatrix" "\0"
  /*  2256 */ "DOMMatrixReadOnly" "\0"
  /*  2274 */ "DOMParser" "\0"
  /*  2284 */ "DOMPoint" "\0"
  /*  2293 */ "DOMPointReadOnly" "\0"
  /*  2310 */ "DOMQuad" "\0"
  /*  2318 */ "DOMRect" "\0"
  /*  2326 */ "DOMRectList" "\0"
  /*  2338 */ "DOMRectReadOnly" "\0"
  /*  2354 */ "DOMStringList" "\0"
  /*  2368 */ "DOMStringMap" "\0"
  /*  2381 */ "DOMTokenList" "\0"
  /*  2394 */ "DataTransfer" "\0"
  /*  2407 */ "DataTransferItem" "\0"
  /*  2424 */ "DataTransferItemList" "\0"
  /*  2445 */ "DebuggerNotification" "\0"
  /*  2466 */ "DebuggerNotificationObserver" "\0"
  /*  2495 */ "DecompressionStream" "\0"
  /*  2515 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2542 */ "DelayNode" "\0"
  /*  2552 */ "DeprecationReportBody" "\0"
  /*  2574 */ "DeviceAcceleration" "\0"
  /*  2593 */ "DeviceLightEvent" "\0"
  /*  2610 */ "DeviceMotionEvent" "\0"
  /*  2628 */ "DeviceOrientationEvent" "\0"
  /*  2651 */ "DeviceRotationRate" "\0"
  /*  2670 */ "Directory" "\0"
  /*  2680 */ "Document" "\0"
  /*  2689 */ "DocumentFragment" "\0"
  /*  2706 */ "DocumentL10n" "\0"
  /*  2719 */ "DocumentTimeline" "\0"
  /*  2736 */ "DocumentType" "\0"
  /*  2749 */ "DominatorTree" "\0"
  /*  2763 */ "DragEvent" "\0"
  /*  2773 */ "DynamicsCompressorNode" "\0"
  /*  2796 */ "EXT_blend_minmax" "\0"
  /*  2813 */ "EXT_color_buffer_float" "\0"
  /*  2836 */ "EXT_color_buffer_half_float" "\0"
  /*  2864 */ "EXT_disjoint_timer_query" "\0"
  /*  2889 */ "EXT_float_blend" "\0"
  /*  2905 */ "EXT_frag_depth" "\0"
  /*  2920 */ "EXT_sRGB" "\0"
  /*  2929 */ "EXT_shader_texture_lod" "\0"
  /*  2952 */ "EXT_texture_compression_bptc" "\0"
  /*  2981 */ "EXT_texture_compression_rgtc" "\0"
  /*  3010 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3041 */ "EXT_texture_norm16" "\0"
  /*  3060 */ "Element" "\0"
  /*  3068 */ "ElementInternals" "\0"
  /*  3085 */ "EncodedAudioChunk" "\0"
  /*  3103 */ "EncodedVideoChunk" "\0"
  /*  3121 */ "ErrorEvent" "\0"
  /*  3132 */ "Event" "\0"
  /*  3138 */ "EventCallbackDebuggerNotification" "\0"
  /*  3172 */ "EventCounts" "\0"
  /*  3184 */ "EventSource" "\0"
  /*  3196 */ "EventTarget" "\0"
  /*  3208 */ "Exception" "\0"
  /*  3218 */ "ExtendableEvent" "\0"
  /*  3234 */ "ExtendableMessageEvent" "\0"
  /*  3257 */ "ExtensionAlarms" "\0"
  /*  3273 */ "ExtensionBrowser" "\0"
  /*  3290 */ "ExtensionBrowserSettings" "\0"
  /*  3315 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3355 */ "ExtensionDns" "\0"
  /*  3368 */ "ExtensionEventManager" "\0"
  /*  3390 */ "ExtensionMockAPI" "\0"
  /*  3407 */ "ExtensionPort" "\0"
  /*  3421 */ "ExtensionProxy" "\0"
  /*  3436 */ "ExtensionRuntime" "\0"
  /*  3453 */ "ExtensionScripting" "\0"
  /*  3472 */ "ExtensionSetting" "\0"
  /*  3489 */ "ExtensionTest" "\0"
  /*  3503 */ "External" "\0"
  /*  3512 */ "FeaturePolicy" "\0"
  /*  3526 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3559 */ "FetchEvent" "\0"
  /*  3570 */ "FetchObserver" "\0"
  /*  3584 */ "File" "\0"
  /*  3589 */ "FileList" "\0"
  /*  3598 */ "FileReader" "\0"
  /*  3609 */ "FileReaderSync" "\0"
  /*  3624 */ "FileSystem" "\0"
  /*  3635 */ "FileSystemDirectoryEntry" "\0"
  /*  3660 */ "FileSystemDirectoryHandle" "\0"
  /*  3686 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3726 */ "FileSystemDirectoryIterator" "\0"
  /*  3754 */ "FileSystemDirectoryReader" "\0"
  /*  3780 */ "FileSystemEntry" "\0"
  /*  3796 */ "FileSystemFileEntry" "\0"
  /*  3816 */ "FileSystemFileHandle" "\0"
  /*  3837 */ "FileSystemHandle" "\0"
  /*  3854 */ "FileSystemSyncAccessHandle" "\0"
  /*  3881 */ "FileSystemWritableFileStream" "\0"
  /*  3910 */ "Flex" "\0"
  /*  3915 */ "FlexItemValues" "\0"
  /*  3930 */ "FlexLineValues" "\0"
  /*  3945 */ "FluentBundle" "\0"
  /*  3958 */ "FluentBundleAsyncIterator" "\0"
  /*  3984 */ "FluentBundleIterator" "\0"
  /*  4005 */ "FluentPattern" "\0"
  /*  4019 */ "FluentResource" "\0"
  /*  4034 */ "FocusEvent" "\0"
  /*  4045 */ "FontFace" "\0"
  /*  4054 */ "FontFaceSet" "\0"
  /*  4066 */ "FontFaceSetIterator" "\0"
  /*  4086 */ "FontFaceSetLoadEvent" "\0"
  /*  4107 */ "FormData" "\0"
  /*  4116 */ "FormData Iterator" "\0"
  /*  4134 */ "FormDataEvent" "\0"
  /*  4148 */ "FragmentDirective" "\0"
  /*  4166 */ "FrameCrashedEvent" "\0"
  /*  4184 */ "FrameLoader" "\0"
  /*  4196 */ "GPU" "\0"
  /*  4200 */ "GPUAdapter" "\0"
  /*  4211 */ "GPUAdapterInfo" "\0"
  /*  4226 */ "GPUBindGroup" "\0"
  /*  4239 */ "GPUBindGroupLayout" "\0"
  /*  4258 */ "GPUBuffer" "\0"
  /*  4268 */ "GPUBufferUsage" "\0"
  /*  4283 */ "GPUCanvasContext" "\0"
  /*  4300 */ "GPUColorWrite" "\0"
  /*  4314 */ "GPUCommandBuffer" "\0"
  /*  4331 */ "GPUCommandEncoder" "\0"
  /*  4349 */ "GPUCompilationInfo" "\0"
  /*  4368 */ "GPUCompilationMessage" "\0"
  /*  4390 */ "GPUComputePassEncoder" "\0"
  /*  4412 */ "GPUComputePipeline" "\0"
  /*  4431 */ "GPUDevice" "\0"
  /*  4441 */ "GPUDeviceLostInfo" "\0"
  /*  4459 */ "GPUError" "\0"
  /*  4468 */ "GPUInternalError" "\0"
  /*  4485 */ "GPUMapMode" "\0"
  /*  4496 */ "GPUOutOfMemoryError" "\0"
  /*  4516 */ "GPUPipelineLayout" "\0"
  /*  4534 */ "GPUQuerySet" "\0"
  /*  4546 */ "GPUQueue" "\0"
  /*  4555 */ "GPURenderBundle" "\0"
  /*  4571 */ "GPURenderBundleEncoder" "\0"
  /*  4594 */ "GPURenderPassEncoder" "\0"
  /*  4615 */ "GPURenderPipeline" "\0"
  /*  4633 */ "GPUSampler" "\0"
  /*  4644 */ "GPUShaderModule" "\0"
  /*  4660 */ "GPUShaderStage" "\0"
  /*  4675 */ "GPUSupportedFeatures" "\0"
  /*  4696 */ "GPUSupportedLimits" "\0"
  /*  4715 */ "GPUTexture" "\0"
  /*  4726 */ "GPUTextureUsage" "\0"
  /*  4742 */ "GPUTextureView" "\0"
  /*  4757 */ "GPUUncapturedErrorEvent" "\0"
  /*  4781 */ "GPUValidationError" "\0"
  /*  4800 */ "GainNode" "\0"
  /*  4809 */ "Gamepad" "\0"
  /*  4817 */ "GamepadAxisMoveEvent" "\0"
  /*  4838 */ "GamepadButton" "\0"
  /*  4852 */ "GamepadButtonEvent" "\0"
  /*  4871 */ "GamepadEvent" "\0"
  /*  4884 */ "GamepadHapticActuator" "\0"
  /*  4906 */ "GamepadLightIndicator" "\0"
  /*  4928 */ "GamepadPose" "\0"
  /*  4940 */ "GamepadServiceTest" "\0"
  /*  4959 */ "GamepadTouch" "\0"
  /*  4972 */ "Geolocation" "\0"
  /*  4984 */ "GeolocationCoordinates" "\0"
  /*  5007 */ "GeolocationPosition" "\0"
  /*  5027 */ "GeolocationPositionError" "\0"
  /*  5052 */ "GetUserMediaRequest" "\0"
  /*  5072 */ "GleanBoolean" "\0"
  /*  5085 */ "GleanCategory" "\0"
  /*  5099 */ "GleanCounter" "\0"
  /*  5112 */ "GleanCustomDistribution" "\0"
  /*  5136 */ "GleanDatetime" "\0"
  /*  5150 */ "GleanDenominator" "\0"
  /*  5167 */ "GleanEvent" "\0"
  /*  5178 */ "GleanImpl" "\0"
  /*  5188 */ "GleanLabeled" "\0"
  /*  5201 */ "GleanMemoryDistribution" "\0"
  /*  5225 */ "GleanMetric" "\0"
  /*  5237 */ "GleanNumerator" "\0"
  /*  5252 */ "GleanObject" "\0"
  /*  5264 */ "GleanPingsImpl" "\0"
  /*  5279 */ "GleanQuantity" "\0"
  /*  5293 */ "GleanRate" "\0"
  /*  5303 */ "GleanString" "\0"
  /*  5315 */ "GleanStringList" "\0"
  /*  5331 */ "GleanText" "\0"
  /*  5341 */ "GleanTimespan" "\0"
  /*  5355 */ "GleanTimingDistribution" "\0"
  /*  5379 */ "GleanUrl" "\0"
  /*  5388 */ "GleanUuid" "\0"
  /*  5398 */ "Grid" "\0"
  /*  5403 */ "GridArea" "\0"
  /*  5412 */ "GridDimension" "\0"
  /*  5426 */ "GridLine" "\0"
  /*  5435 */ "GridLines" "\0"
  /*  5445 */ "GridTrack" "\0"
  /*  5455 */ "GridTracks" "\0"
  /*  5466 */ "HTMLAllCollection" "\0"
  /*  5484 */ "HTMLAnchorElement" "\0"
  /*  5502 */ "HTMLAreaElement" "\0"
  /*  5518 */ "HTMLAudioElement" "\0"
  /*  5535 */ "HTMLBRElement" "\0"
  /*  5549 */ "HTMLBaseElement" "\0"
  /*  5565 */ "HTMLBodyElement" "\0"
  /*  5581 */ "HTMLButtonElement" "\0"
  /*  5599 */ "HTMLCanvasElement" "\0"
  /*  5617 */ "HTMLCollection" "\0"
  /*  5632 */ "HTMLDListElement" "\0"
  /*  5649 */ "HTMLDataElement" "\0"
  /*  5665 */ "HTMLDataListElement" "\0"
  /*  5685 */ "HTMLDetailsElement" "\0"
  /*  5704 */ "HTMLDialogElement" "\0"
  /*  5722 */ "HTMLDirectoryElement" "\0"
  /*  5743 */ "HTMLDivElement" "\0"
  /*  5758 */ "HTMLDocument" "\0"
  /*  5771 */ "HTMLElement" "\0"
  /*  5783 */ "HTMLEmbedElement" "\0"
  /*  5800 */ "HTMLFieldSetElement" "\0"
  /*  5820 */ "HTMLFontElement" "\0"
  /*  5836 */ "HTMLFormControlsCollection" "\0"
  /*  5863 */ "HTMLFormElement" "\0"
  /*  5879 */ "HTMLFrameElement" "\0"
  /*  5896 */ "HTMLFrameSetElement" "\0"
  /*  5916 */ "HTMLHRElement" "\0"
  /*  5930 */ "HTMLHeadElement" "\0"
  /*  5946 */ "HTMLHeadingElement" "\0"
  /*  5965 */ "HTMLHtmlElement" "\0"
  /*  5981 */ "HTMLIFrameElement" "\0"
  /*  5999 */ "HTMLImageElement" "\0"
  /*  6016 */ "HTMLInputElement" "\0"
  /*  6033 */ "HTMLLIElement" "\0"
  /*  6047 */ "HTMLLabelElement" "\0"
  /*  6064 */ "HTMLLegendElement" "\0"
  /*  6082 */ "HTMLLinkElement" "\0"
  /*  6098 */ "HTMLMapElement" "\0"
  /*  6113 */ "HTMLMarqueeElement" "\0"
  /*  6132 */ "HTMLMediaElement" "\0"
  /*  6149 */ "HTMLMenuElement" "\0"
  /*  6165 */ "HTMLMetaElement" "\0"
  /*  6181 */ "HTMLMeterElement" "\0"
  /*  6198 */ "HTMLModElement" "\0"
  /*  6213 */ "HTMLOListElement" "\0"
  /*  6230 */ "HTMLObjectElement" "\0"
  /*  6248 */ "HTMLOptGroupElement" "\0"
  /*  6268 */ "HTMLOptionElement" "\0"
  /*  6286 */ "HTMLOptionsCollection" "\0"
  /*  6308 */ "HTMLOutputElement" "\0"
  /*  6326 */ "HTMLParagraphElement" "\0"
  /*  6347 */ "HTMLParamElement" "\0"
  /*  6364 */ "HTMLPictureElement" "\0"
  /*  6383 */ "HTMLPreElement" "\0"
  /*  6398 */ "HTMLProgressElement" "\0"
  /*  6418 */ "HTMLQuoteElement" "\0"
  /*  6435 */ "HTMLScriptElement" "\0"
  /*  6453 */ "HTMLSelectElement" "\0"
  /*  6471 */ "HTMLSlotElement" "\0"
  /*  6487 */ "HTMLSourceElement" "\0"
  /*  6505 */ "HTMLSpanElement" "\0"
  /*  6521 */ "HTMLStyleElement" "\0"
  /*  6538 */ "HTMLTableCaptionElement" "\0"
  /*  6562 */ "HTMLTableCellElement" "\0"
  /*  6583 */ "HTMLTableColElement" "\0"
  /*  6603 */ "HTMLTableElement" "\0"
  /*  6620 */ "HTMLTableRowElement" "\0"
  /*  6640 */ "HTMLTableSectionElement" "\0"
  /*  6664 */ "HTMLTemplateElement" "\0"
  /*  6684 */ "HTMLTextAreaElement" "\0"
  /*  6704 */ "HTMLTimeElement" "\0"
  /*  6720 */ "HTMLTitleElement" "\0"
  /*  6737 */ "HTMLTrackElement" "\0"
  /*  6754 */ "HTMLUListElement" "\0"
  /*  6771 */ "HTMLUnknownElement" "\0"
  /*  6790 */ "HTMLVideoElement" "\0"
  /*  6807 */ "HashChangeEvent" "\0"
  /*  6823 */ "Headers" "\0"
  /*  6831 */ "Headers Iterator" "\0"
  /*  6848 */ "HeapSnapshot" "\0"
  /*  6861 */ "Highlight" "\0"
  /*  6871 */ "HighlightRegistry" "\0"
  /*  6889 */ "History" "\0"
  /*  6897 */ "IDBCursor" "\0"
  /*  6907 */ "IDBCursorWithValue" "\0"
  /*  6926 */ "IDBDatabase" "\0"
  /*  6938 */ "IDBFactory" "\0"
  /*  6949 */ "IDBIndex" "\0"
  /*  6958 */ "IDBKeyRange" "\0"
  /*  6970 */ "IDBObjectStore" "\0"
  /*  6985 */ "IDBOpenDBRequest" "\0"
  /*  7002 */ "IDBRequest" "\0"
  /*  7013 */ "IDBTransaction" "\0"
  /*  7028 */ "IDBVersionChangeEvent" "\0"
  /*  7050 */ "IIRFilterNode" "\0"
  /*  7064 */ "IOUtils" "\0"
  /*  7072 */ "IdentityCredential" "\0"
  /*  7091 */ "IdleDeadline" "\0"
  /*  7104 */ "Image" "\0"
  /*  7110 */ "ImageBitmap" "\0"
  /*  7122 */ "ImageBitmapRenderingContext" "\0"
  /*  7150 */ "ImageCapture" "\0"
  /*  7163 */ "ImageCaptureError" "\0"
  /*  7181 */ "ImageCaptureErrorEvent" "\0"
  /*  7204 */ "ImageData" "\0"
  /*  7214 */ "ImageDocument" "\0"
  /*  7228 */ "InputEvent" "\0"
  /*  7239 */ "InspectorFontFace" "\0"
  /*  7257 */ "InspectorUtils" "\0"
  /*  7272 */ "InstallTriggerImpl" "\0"
  /*  7291 */ "IntersectionObserver" "\0"
  /*  7312 */ "IntersectionObserverEntry" "\0"
  /*  7338 */ "IntlUtils" "\0"
  /*  7348 */ "InvokeEvent" "\0"
  /*  7360 */ "JSProcessActorChild" "\0"
  /*  7380 */ "JSProcessActorParent" "\0"
  /*  7401 */ "JSWindowActorChild" "\0"
  /*  7420 */ "JSWindowActorParent" "\0"
  /*  7440 */ "KeyEvent" "\0"
  /*  7449 */ "KeyboardEvent" "\0"
  /*  7463 */ "KeyframeEffect" "\0"
  /*  7478 */ "L10nFileSource" "\0"
  /*  7493 */ "L10nOverlays" "\0"
  /*  7506 */ "L10nRegistry" "\0"
  /*  7519 */ "LargestContentfulPaint" "\0"
  /*  7542 */ "LegacyMozTCPSocket" "\0"
  /*  7561 */ "Localization" "\0"
  /*  7574 */ "Location" "\0"
  /*  7583 */ "Lock" "\0"
  /*  7588 */ "LockManager" "\0"
  /*  7600 */ "MIDIAccess" "\0"
  /*  7611 */ "MIDIConnectionEvent" "\0"
  /*  7631 */ "MIDIInput" "\0"
  /*  7641 */ "MIDIInputMap" "\0"
  /*  7654 */ "MIDIMessageEvent" "\0"
  /*  7671 */ "MIDIOutput" "\0"
  /*  7682 */ "MIDIOutputMap" "\0"
  /*  7696 */ "MIDIPort" "\0"
  /*  7705 */ "MOZ_debug" "\0"
  /*  7715 */ "MatchGlob" "\0"
  /*  7725 */ "MatchPattern" "\0"
  /*  7738 */ "MatchPatternSet" "\0"
  /*  7754 */ "MathMLElement" "\0"
  /*  7768 */ "MediaCapabilities" "\0"
  /*  7786 */ "MediaCapabilitiesInfo" "\0"
  /*  7808 */ "MediaControlService" "\0"
  /*  7828 */ "MediaController" "\0"
  /*  7844 */ "MediaDeviceInfo" "\0"
  /*  7860 */ "MediaDevices" "\0"
  /*  7873 */ "MediaElementAudioSourceNode" "\0"
  /*  7901 */ "MediaEncryptedEvent" "\0"
  /*  7921 */ "MediaError" "\0"
  /*  7932 */ "MediaKeyError" "\0"
  /*  7946 */ "MediaKeyMessageEvent" "\0"
  /*  7967 */ "MediaKeySession" "\0"
  /*  7983 */ "MediaKeyStatusMap" "\0"
  /*  8001 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8028 */ "MediaKeySystemAccess" "\0"
  /*  8049 */ "MediaKeys" "\0"
  /*  8059 */ "MediaList" "\0"
  /*  8069 */ "MediaMetadata" "\0"
  /*  8083 */ "MediaQueryList" "\0"
  /*  8098 */ "MediaQueryListEvent" "\0"
  /*  8118 */ "MediaRecorder" "\0"
  /*  8132 */ "MediaRecorderErrorEvent" "\0"
  /*  8156 */ "MediaSession" "\0"
  /*  8169 */ "MediaSource" "\0"
  /*  8181 */ "MediaStream" "\0"
  /*  8193 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8225 */ "MediaStreamAudioSourceNode" "\0"
  /*  8252 */ "MediaStreamError" "\0"
  /*  8269 */ "MediaStreamEvent" "\0"
  /*  8286 */ "MediaStreamTrack" "\0"
  /*  8303 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8335 */ "MediaStreamTrackEvent" "\0"
  /*  8357 */ "MerchantValidationEvent" "\0"
  /*  8381 */ "MessageBroadcaster" "\0"
  /*  8400 */ "MessageChannel" "\0"
  /*  8415 */ "MessageEvent" "\0"
  /*  8428 */ "MessageListenerManager" "\0"
  /*  8451 */ "MessagePort" "\0"
  /*  8463 */ "MessageSender" "\0"
  /*  8477 */ "MimeType" "\0"
  /*  8486 */ "MimeTypeArray" "\0"
  /*  8500 */ "MouseEvent" "\0"
  /*  8511 */ "MouseScrollEvent" "\0"
  /*  8528 */ "MozCanvasPrintState" "\0"
  /*  8548 */ "MozDocumentMatcher" "\0"
  /*  8567 */ "MozDocumentObserver" "\0"
  /*  8587 */ "MozQueryInterface" "\0"
  /*  8605 */ "MozSharedMap" "\0"
  /*  8618 */ "MozSharedMap Iterator" "\0"
  /*  8640 */ "MozSharedMapChangeEvent" "\0"
  /*  8664 */ "MozStorageAsyncStatementParams" "\0"
  /*  8695 */ "MozStorageStatementParams" "\0"
  /*  8721 */ "MozStorageStatementRow" "\0"
  /*  8744 */ "MozWritableSharedMap" "\0"
  /*  8765 */ "MutationEvent" "\0"
  /*  8779 */ "MutationObserver" "\0"
  /*  8796 */ "MutationRecord" "\0"
  /*  8811 */ "NamedNodeMap" "\0"
  /*  8824 */ "NavigationPreloadManager" "\0"
  /*  8849 */ "Navigator" "\0"
  /*  8859 */ "NetworkInformation" "\0"
  /*  8878 */ "Node" "\0"
  /*  8883 */ "NodeFilter" "\0"
  /*  8894 */ "NodeIterator" "\0"
  /*  8907 */ "NodeList" "\0"
  /*  8916 */ "Notification" "\0"
  /*  8929 */ "NotificationEvent" "\0"
  /*  8947 */ "NotifyPaintEvent" "\0"
  /*  8964 */ "OES_draw_buffers_indexed" "\0"
  /*  8989 */ "OES_element_index_uint" "\0"
  /*  9012 */ "OES_fbo_render_mipmap" "\0"
  /*  9034 */ "OES_standard_derivatives" "\0"
  /*  9059 */ "OES_texture_float" "\0"
  /*  9077 */ "OES_texture_float_linear" "\0"
  /*  9102 */ "OES_texture_half_float" "\0"
  /*  9125 */ "OES_texture_half_float_linear" "\0"
  /*  9155 */ "OES_vertex_array_object" "\0"
  /*  9179 */ "OVR_multiview2" "\0"
  /*  9194 */ "OfflineAudioCompletionEvent" "\0"
  /*  9222 */ "OfflineAudioContext" "\0"
  /*  9242 */ "OffscreenCanvas" "\0"
  /*  9258 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9292 */ "Option" "\0"
  /*  9299 */ "OscillatorNode" "\0"
  /*  9314 */ "PageTransitionEvent" "\0"
  /*  9334 */ "PaintRequest" "\0"
  /*  9347 */ "PaintRequestList" "\0"
  /*  9364 */ "PaintWorkletGlobalScope" "\0"
  /*  9388 */ "PannerNode" "\0"
  /*  9399 */ "ParentProcessMessageManager" "\0"
  /*  9427 */ "Path2D" "\0"
  /*  9434 */ "PathUtils" "\0"
  /*  9444 */ "PaymentAddress" "\0"
  /*  9459 */ "PaymentMethodChangeEvent" "\0"
  /*  9484 */ "PaymentRequest" "\0"
  /*  9499 */ "PaymentRequestUpdateEvent" "\0"
  /*  9525 */ "PaymentResponse" "\0"
  /*  9541 */ "Performance" "\0"
  /*  9553 */ "PerformanceEntry" "\0"
  /*  9570 */ "PerformanceEntryEvent" "\0"
  /*  9592 */ "PerformanceEventTiming" "\0"
  /*  9615 */ "PerformanceMark" "\0"
  /*  9631 */ "PerformanceMeasure" "\0"
  /*  9650 */ "PerformanceNavigation" "\0"
  /*  9672 */ "PerformanceNavigationTiming" "\0"
  /*  9700 */ "PerformanceObserver" "\0"
  /*  9720 */ "PerformanceObserverEntryList" "\0"
  /*  9749 */ "PerformancePaintTiming" "\0"
  /*  9772 */ "PerformanceResourceTiming" "\0"
  /*  9798 */ "PerformanceServerTiming" "\0"
  /*  9822 */ "PerformanceTiming" "\0"
  /*  9840 */ "PeriodicWave" "\0"
  /*  9853 */ "PermissionStatus" "\0"
  /*  9870 */ "Permissions" "\0"
  /*  9882 */ "PlacesBookmark" "\0"
  /*  9897 */ "PlacesBookmarkAddition" "\0"
  /*  9920 */ "PlacesBookmarkChanged" "\0"
  /*  9942 */ "PlacesBookmarkGuid" "\0"
  /*  9961 */ "PlacesBookmarkKeyword" "\0"
  /*  9983 */ "PlacesBookmarkMoved" "\0"
  /* 10003 */ "PlacesBookmarkRemoved" "\0"
  /* 10025 */ "PlacesBookmarkTags" "\0"
  /* 10044 */ "PlacesBookmarkTime" "\0"
  /* 10063 */ "PlacesBookmarkTitle" "\0"
  /* 10083 */ "PlacesBookmarkUrl" "\0"
  /* 10101 */ "PlacesEvent" "\0"
  /* 10113 */ "PlacesEventCounts" "\0"
  /* 10131 */ "PlacesFavicon" "\0"
  /* 10145 */ "PlacesHistoryCleared" "\0"
  /* 10166 */ "PlacesObservers" "\0"
  /* 10182 */ "PlacesPurgeCaches" "\0"
  /* 10200 */ "PlacesRanking" "\0"
  /* 10214 */ "PlacesVisit" "\0"
  /* 10226 */ "PlacesVisitRemoved" "\0"
  /* 10245 */ "PlacesVisitTitle" "\0"
  /* 10262 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10288 */ "Plugin" "\0"
  /* 10295 */ "PluginArray" "\0"
  /* 10307 */ "PluginCrashedEvent" "\0"
  /* 10326 */ "PointerEvent" "\0"
  /* 10339 */ "PopStateEvent" "\0"
  /* 10353 */ "PopupBlockedEvent" "\0"
  /* 10371 */ "PopupPositionedEvent" "\0"
  /* 10392 */ "PositionStateEvent" "\0"
  /* 10411 */ "PrecompiledScript" "\0"
  /* 10429 */ "ProcessMessageManager" "\0"
  /* 10451 */ "ProcessingInstruction" "\0"
  /* 10473 */ "ProgressEvent" "\0"
  /* 10487 */ "PromiseDebugging" "\0"
  /* 10504 */ "PromiseNativeHandler" "\0"
  /* 10525 */ "PromiseRejectionEvent" "\0"
  /* 10547 */ "PublicKeyCredential" "\0"
  /* 10567 */ "PushEvent" "\0"
  /* 10577 */ "PushManager" "\0"
  /* 10589 */ "PushManagerImpl" "\0"
  /* 10605 */ "PushMessageData" "\0"
  /* 10621 */ "PushSubscription" "\0"
  /* 10638 */ "PushSubscriptionOptions" "\0"
  /* 10662 */ "RadioNodeList" "\0"
  /* 10676 */ "Range" "\0"
  /* 10682 */ "ReadableByteStreamController" "\0"
  /* 10711 */ "ReadableStream" "\0"
  /* 10726 */ "ReadableStream AsyncIterator" "\0"
  /* 10755 */ "ReadableStreamBYOBReader" "\0"
  /* 10780 */ "ReadableStreamBYOBRequest" "\0"
  /* 10806 */ "ReadableStreamDefaultController" "\0"
  /* 10838 */ "ReadableStreamDefaultReader" "\0"
  /* 10866 */ "Report" "\0"
  /* 10873 */ "ReportBody" "\0"
  /* 10884 */ "ReportingObserver" "\0"
  /* 10902 */ "Request" "\0"
  /* 10910 */ "ResizeObserver" "\0"
  /* 10925 */ "ResizeObserverEntry" "\0"
  /* 10945 */ "ResizeObserverSize" "\0"
  /* 10964 */ "Response" "\0"
  /* 10973 */ "SVGAElement" "\0"
  /* 10985 */ "SVGAngle" "\0"
  /* 10994 */ "SVGAnimateElement" "\0"
  /* 11012 */ "SVGAnimateMotionElement" "\0"
  /* 11036 */ "SVGAnimateTransformElement" "\0"
  /* 11063 */ "SVGAnimatedAngle" "\0"
  /* 11080 */ "SVGAnimatedBoolean" "\0"
  /* 11099 */ "SVGAnimatedEnumeration" "\0"
  /* 11122 */ "SVGAnimatedInteger" "\0"
  /* 11141 */ "SVGAnimatedLength" "\0"
  /* 11159 */ "SVGAnimatedLengthList" "\0"
  /* 11181 */ "SVGAnimatedNumber" "\0"
  /* 11199 */ "SVGAnimatedNumberList" "\0"
  /* 11221 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11252 */ "SVGAnimatedRect" "\0"
  /* 11268 */ "SVGAnimatedString" "\0"
  /* 11286 */ "SVGAnimatedTransformList" "\0"
  /* 11311 */ "SVGAnimationElement" "\0"
  /* 11331 */ "SVGCircleElement" "\0"
  /* 11348 */ "SVGClipPathElement" "\0"
  /* 11367 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11403 */ "SVGDefsElement" "\0"
  /* 11418 */ "SVGDescElement" "\0"
  /* 11433 */ "SVGElement" "\0"
  /* 11444 */ "SVGEllipseElement" "\0"
  /* 11462 */ "SVGFEBlendElement" "\0"
  /* 11480 */ "SVGFEColorMatrixElement" "\0"
  /* 11504 */ "SVGFEComponentTransferElement" "\0"
  /* 11534 */ "SVGFECompositeElement" "\0"
  /* 11556 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11583 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11611 */ "SVGFEDisplacementMapElement" "\0"
  /* 11639 */ "SVGFEDistantLightElement" "\0"
  /* 11664 */ "SVGFEDropShadowElement" "\0"
  /* 11687 */ "SVGFEFloodElement" "\0"
  /* 11705 */ "SVGFEFuncAElement" "\0"
  /* 11723 */ "SVGFEFuncBElement" "\0"
  /* 11741 */ "SVGFEFuncGElement" "\0"
  /* 11759 */ "SVGFEFuncRElement" "\0"
  /* 11777 */ "SVGFEGaussianBlurElement" "\0"
  /* 11802 */ "SVGFEImageElement" "\0"
  /* 11820 */ "SVGFEMergeElement" "\0"
  /* 11838 */ "SVGFEMergeNodeElement" "\0"
  /* 11860 */ "SVGFEMorphologyElement" "\0"
  /* 11883 */ "SVGFEOffsetElement" "\0"
  /* 11902 */ "SVGFEPointLightElement" "\0"
  /* 11925 */ "SVGFESpecularLightingElement" "\0"
  /* 11954 */ "SVGFESpotLightElement" "\0"
  /* 11976 */ "SVGFETileElement" "\0"
  /* 11993 */ "SVGFETurbulenceElement" "\0"
  /* 12016 */ "SVGFilterElement" "\0"
  /* 12033 */ "SVGForeignObjectElement" "\0"
  /* 12057 */ "SVGGElement" "\0"
  /* 12069 */ "SVGGeometryElement" "\0"
  /* 12088 */ "SVGGradientElement" "\0"
  /* 12107 */ "SVGGraphicsElement" "\0"
  /* 12126 */ "SVGImageElement" "\0"
  /* 12142 */ "SVGLength" "\0"
  /* 12152 */ "SVGLengthList" "\0"
  /* 12166 */ "SVGLineElement" "\0"
  /* 12181 */ "SVGLinearGradientElement" "\0"
  /* 12206 */ "SVGMPathElement" "\0"
  /* 12222 */ "SVGMarkerElement" "\0"
  /* 12239 */ "SVGMaskElement" "\0"
  /* 12254 */ "SVGMatrix" "\0"
  /* 12264 */ "SVGMetadataElement" "\0"
  /* 12283 */ "SVGNumber" "\0"
  /* 12293 */ "SVGNumberList" "\0"
  /* 12307 */ "SVGPathElement" "\0"
  /* 12322 */ "SVGPathSeg" "\0"
  /* 12333 */ "SVGPathSegArcAbs" "\0"
  /* 12350 */ "SVGPathSegArcRel" "\0"
  /* 12367 */ "SVGPathSegClosePath" "\0"
  /* 12387 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12413 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12439 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12471 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12503 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12533 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12563 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12599 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12635 */ "SVGPathSegLinetoAbs" "\0"
  /* 12655 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12685 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12715 */ "SVGPathSegLinetoRel" "\0"
  /* 12735 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12763 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12791 */ "SVGPathSegList" "\0"
  /* 12806 */ "SVGPathSegMovetoAbs" "\0"
  /* 12826 */ "SVGPathSegMovetoRel" "\0"
  /* 12846 */ "SVGPatternElement" "\0"
  /* 12864 */ "SVGPoint" "\0"
  /* 12873 */ "SVGPointList" "\0"
  /* 12886 */ "SVGPolygonElement" "\0"
  /* 12904 */ "SVGPolylineElement" "\0"
  /* 12923 */ "SVGPreserveAspectRatio" "\0"
  /* 12946 */ "SVGRadialGradientElement" "\0"
  /* 12971 */ "SVGRect" "\0"
  /* 12979 */ "SVGRectElement" "\0"
  /* 12994 */ "SVGSVGElement" "\0"
  /* 13008 */ "SVGScriptElement" "\0"
  /* 13025 */ "SVGSetElement" "\0"
  /* 13039 */ "SVGStopElement" "\0"
  /* 13054 */ "SVGStringList" "\0"
  /* 13068 */ "SVGStyleElement" "\0"
  /* 13084 */ "SVGSwitchElement" "\0"
  /* 13101 */ "SVGSymbolElement" "\0"
  /* 13118 */ "SVGTSpanElement" "\0"
  /* 13134 */ "SVGTextContentElement" "\0"
  /* 13156 */ "SVGTextElement" "\0"
  /* 13171 */ "SVGTextPathElement" "\0"
  /* 13190 */ "SVGTextPositioningElement" "\0"
  /* 13216 */ "SVGTitleElement" "\0"
  /* 13232 */ "SVGTransform" "\0"
  /* 13245 */ "SVGTransformList" "\0"
  /* 13262 */ "SVGUnitTypes" "\0"
  /* 13275 */ "SVGUseElement" "\0"
  /* 13289 */ "SVGViewElement" "\0"
  /* 13304 */ "Sanitizer" "\0"
  /* 13314 */ "Scheduler" "\0"
  /* 13324 */ "Screen" "\0"
  /* 13331 */ "ScreenLuminance" "\0"
  /* 13347 */ "ScreenOrientation" "\0"
  /* 13365 */ "ScriptProcessorNode" "\0"
  /* 13385 */ "ScrollAreaEvent" "\0"
  /* 13401 */ "ScrollViewChangeEvent" "\0"
  /* 13423 */ "SecurityPolicyViolationEvent" "\0"
  /* 13452 */ "Selection" "\0"
  /* 13462 */ "ServiceWorker" "\0"
  /* 13476 */ "ServiceWorkerContainer" "\0"
  /* 13499 */ "ServiceWorkerGlobalScope" "\0"
  /* 13524 */ "ServiceWorkerRegistration" "\0"
  /* 13550 */ "SessionStoreFormData" "\0"
  /* 13571 */ "SessionStoreScrollData" "\0"
  /* 13594 */ "SessionStoreUtils" "\0"
  /* 13612 */ "ShadowRealmGlobalScope" "\0"
  /* 13635 */ "ShadowRoot" "\0"
  /* 13646 */ "SharedWorker" "\0"
  /* 13659 */ "SharedWorkerGlobalScope" "\0"
  /* 13683 */ "SimpleGestureEvent" "\0"
  /* 13702 */ "SourceBuffer" "\0"
  /* 13715 */ "SourceBufferList" "\0"
  /* 13732 */ "SpeechGrammar" "\0"
  /* 13746 */ "SpeechGrammarList" "\0"
  /* 13764 */ "SpeechRecognition" "\0"
  /* 13782 */ "SpeechRecognitionAlternative" "\0"
  /* 13811 */ "SpeechRecognitionError" "\0"
  /* 13834 */ "SpeechRecognitionEvent" "\0"
  /* 13857 */ "SpeechRecognitionResult" "\0"
  /* 13881 */ "SpeechRecognitionResultList" "\0"
  /* 13909 */ "SpeechSynthesis" "\0"
  /* 13925 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13951 */ "SpeechSynthesisEvent" "\0"
  /* 13972 */ "SpeechSynthesisUtterance" "\0"
  /* 13997 */ "SpeechSynthesisVoice" "\0"
  /* 14018 */ "StaticRange" "\0"
  /* 14030 */ "StereoPannerNode" "\0"
  /* 14047 */ "Storage" "\0"
  /* 14055 */ "StorageEvent" "\0"
  /* 14068 */ "StorageManager" "\0"
  /* 14083 */ "StreamFilter" "\0"
  /* 14096 */ "StreamFilterDataEvent" "\0"
  /* 14118 */ "StructuredCloneHolder" "\0"
  /* 14140 */ "StructuredCloneTester" "\0"
  /* 14162 */ "StyleSheet" "\0"
  /* 14173 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14210 */ "StyleSheetList" "\0"
  /* 14225 */ "StyleSheetRemovedEvent" "\0"
  /* 14248 */ "SubmitEvent" "\0"
  /* 14260 */ "SubtleCrypto" "\0"
  /* 14273 */ "SyncMessageSender" "\0"
  /* 14291 */ "SyncReadFile" "\0"
  /* 14304 */ "TCPServerSocket" "\0"
  /* 14320 */ "TCPServerSocketEvent" "\0"
  /* 14341 */ "TCPSocket" "\0"
  /* 14351 */ "TCPSocketErrorEvent" "\0"
  /* 14371 */ "TCPSocketEvent" "\0"
  /* 14386 */ "TaskController" "\0"
  /* 14401 */ "TaskPriorityChangeEvent" "\0"
  /* 14425 */ "TaskSignal" "\0"
  /* 14436 */ "TelemetryStopwatch" "\0"
  /* 14455 */ "TestUtils" "\0"
  /* 14465 */ "TestingDeprecatedInterface" "\0"
  /* 14492 */ "Text" "\0"
  /* 14497 */ "TextClause" "\0"
  /* 14508 */ "TextDecoder" "\0"
  /* 14520 */ "TextDecoderStream" "\0"
  /* 14538 */ "TextEncoder" "\0"
  /* 14550 */ "TextEncoderStream" "\0"
  /* 14568 */ "TextEvent" "\0"
  /* 14578 */ "TextMetrics" "\0"
  /* 14590 */ "TextTrack" "\0"
  /* 14600 */ "TextTrackCue" "\0"
  /* 14613 */ "TextTrackCueList" "\0"
  /* 14630 */ "TextTrackList" "\0"
  /* 14644 */ "TimeEvent" "\0"
  /* 14654 */ "TimeRanges" "\0"
  /* 14665 */ "ToggleEvent" "\0"
  /* 14677 */ "Touch" "\0"
  /* 14683 */ "TouchEvent" "\0"
  /* 14694 */ "TouchList" "\0"
  /* 14704 */ "TrackEvent" "\0"
  /* 14715 */ "TransformStream" "\0"
  /* 14731 */ "TransformStreamDefaultController" "\0"
  /* 14764 */ "TransitionEvent" "\0"
  /* 14780 */ "TreeColumn" "\0"
  /* 14791 */ "TreeColumns" "\0"
  /* 14803 */ "TreeContentView" "\0"
  /* 14819 */ "TreeWalker" "\0"
  /* 14830 */ "TrustedHTML" "\0"
  /* 14842 */ "TrustedScript" "\0"
  /* 14856 */ "TrustedScriptURL" "\0"
  /* 14873 */ "TrustedTypePolicy" "\0"
  /* 14891 */ "TrustedTypePolicyFactory" "\0"
  /* 14916 */ "UDPMessageEvent" "\0"
  /* 14932 */ "UDPSocket" "\0"
  /* 14942 */ "UIEvent" "\0"
  /* 14950 */ "URL" "\0"
  /* 14954 */ "URLSearchParams" "\0"
  /* 14970 */ "URLSearchParams Iterator" "\0"
  /* 14995 */ "UniFFIPointer" "\0"
  /* 15009 */ "UniFFIScaffolding" "\0"
  /* 15027 */ "UserActivation" "\0"
  /* 15042 */ "UserInteraction" "\0"
  /* 15058 */ "UserProximityEvent" "\0"
  /* 15077 */ "VRDisplay" "\0"
  /* 15087 */ "VRDisplayCapabilities" "\0"
  /* 15109 */ "VRDisplayEvent" "\0"
  /* 15124 */ "VREyeParameters" "\0"
  /* 15140 */ "VRFieldOfView" "\0"
  /* 15154 */ "VRFrameData" "\0"
  /* 15166 */ "VRMockController" "\0"
  /* 15183 */ "VRMockDisplay" "\0"
  /* 15197 */ "VRPose" "\0"
  /* 15204 */ "VRServiceTest" "\0"
  /* 15218 */ "VRStageParameters" "\0"
  /* 15236 */ "VTTCue" "\0"
  /* 15243 */ "VTTRegion" "\0"
  /* 15253 */ "ValidityState" "\0"
  /* 15267 */ "VideoColorSpace" "\0"
  /* 15283 */ "VideoDecoder" "\0"
  /* 15296 */ "VideoEncoder" "\0"
  /* 15309 */ "VideoFrame" "\0"
  /* 15320 */ "VideoPlaybackQuality" "\0"
  /* 15341 */ "VideoTrack" "\0"
  /* 15352 */ "VideoTrackList" "\0"
  /* 15367 */ "VisualViewport" "\0"
  /* 15382 */ "WEBGL_color_buffer_float" "\0"
  /* 15407 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15437 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15466 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15496 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15527 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15557 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15592 */ "WEBGL_debug_renderer_info" "\0"
  /* 15618 */ "WEBGL_debug_shaders" "\0"
  /* 15638 */ "WEBGL_depth_texture" "\0"
  /* 15658 */ "WEBGL_draw_buffers" "\0"
  /* 15677 */ "WEBGL_explicit_present" "\0"
  /* 15700 */ "WEBGL_lose_context" "\0"
  /* 15719 */ "WEBGL_provoking_vertex" "\0"
  /* 15742 */ "WakeLock" "\0"
  /* 15751 */ "WakeLockSentinel" "\0"
  /* 15768 */ "WaveShaperNode" "\0"
  /* 15783 */ "WebExtensionContentScript" "\0"
  /* 15809 */ "WebExtensionPolicy" "\0"
  /* 15828 */ "WebGL2RenderingContext" "\0"
  /* 15851 */ "WebGLActiveInfo" "\0"
  /* 15867 */ "WebGLBuffer" "\0"
  /* 15879 */ "WebGLContextEvent" "\0"
  /* 15897 */ "WebGLFramebuffer" "\0"
  /* 15914 */ "WebGLProgram" "\0"
  /* 15927 */ "WebGLQuery" "\0"
  /* 15938 */ "WebGLRenderbuffer" "\0"
  /* 15956 */ "WebGLRenderingContext" "\0"
  /* 15978 */ "WebGLSampler" "\0"
  /* 15991 */ "WebGLShader" "\0"
  /* 16003 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16030 */ "WebGLSync" "\0"
  /* 16040 */ "WebGLTexture" "\0"
  /* 16053 */ "WebGLTransformFeedback" "\0"
  /* 16076 */ "WebGLUniformLocation" "\0"
  /* 16097 */ "WebGLVertexArrayObject" "\0"
  /* 16120 */ "WebKitCSSMatrix" "\0"
  /* 16136 */ "WebSocket" "\0"
  /* 16146 */ "WebTransport" "\0"
  /* 16159 */ "WebTransportBidirectionalStream" "\0"
  /* 16191 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16224 */ "WebTransportError" "\0"
  /* 16242 */ "WebTransportReceiveStream" "\0"
  /* 16268 */ "WebTransportSendStream" "\0"
  /* 16291 */ "WheelEvent" "\0"
  /* 16302 */ "Window" "\0"
  /* 16309 */ "WindowClient" "\0"
  /* 16322 */ "WindowContext" "\0"
  /* 16336 */ "WindowGlobalChild" "\0"
  /* 16354 */ "WindowGlobalParent" "\0"
  /* 16373 */ "WindowRoot" "\0"
  /* 16384 */ "Worker" "\0"
  /* 16391 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16417 */ "WorkerGlobalScope" "\0"
  /* 16435 */ "WorkerLocation" "\0"
  /* 16450 */ "WorkerNavigator" "\0"
  /* 16466 */ "WorkerTestUtils" "\0"
  /* 16482 */ "Worklet" "\0"
  /* 16490 */ "WorkletGlobalScope" "\0"
  /* 16509 */ "WritableStream" "\0"
  /* 16524 */ "WritableStreamDefaultController" "\0"
  /* 16556 */ "WritableStreamDefaultWriter" "\0"
  /* 16584 */ "XMLDocument" "\0"
  /* 16596 */ "XMLHttpRequest" "\0"
  /* 16611 */ "XMLHttpRequestEventTarget" "\0"
  /* 16637 */ "XMLHttpRequestUpload" "\0"
  /* 16658 */ "XMLSerializer" "\0"
  /* 16672 */ "XPathEvaluator" "\0"
  /* 16687 */ "XPathExpression" "\0"
  /* 16703 */ "XPathResult" "\0"
  /* 16715 */ "XRBoundedReferenceSpace" "\0"
  /* 16739 */ "XRFrame" "\0"
  /* 16747 */ "XRInputSource" "\0"
  /* 16761 */ "XRInputSourceArray" "\0"
  /* 16780 */ "XRInputSourceEvent" "\0"
  /* 16799 */ "XRInputSourcesChangeEvent" "\0"
  /* 16825 */ "XRPose" "\0"
  /* 16832 */ "XRReferenceSpace" "\0"
  /* 16849 */ "XRReferenceSpaceEvent" "\0"
  /* 16871 */ "XRRenderState" "\0"
  /* 16885 */ "XRRigidTransform" "\0"
  /* 16902 */ "XRSession" "\0"
  /* 16912 */ "XRSessionEvent" "\0"
  /* 16927 */ "XRSpace" "\0"
  /* 16935 */ "XRSystem" "\0"
  /* 16944 */ "XRView" "\0"
  /* 16951 */ "XRViewerPose" "\0"
  /* 16964 */ "XRViewport" "\0"
  /* 16975 */ "XRWebGLLayer" "\0"
  /* 16988 */ "XSLTProcessor" "\0"
  /* 17002 */ "XULCommandEvent" "\0"
  /* 17018 */ "XULElement" "\0"
  /* 17029 */ "XULFrameElement" "\0"
  /* 17045 */ "XULMenuElement" "\0"
  /* 17060 */ "XULPopupElement" "\0"
  /* 17076 */ "XULResizerElement" "\0"
  /* 17094 */ "XULTextElement" "\0"
  /* 17109 */ "XULTreeElement" "\0"
  /* 17124 */ "console" "\0"
  /* 17132 */ "webkitSpeechGrammar" "\0"
  /* 17152 */ "webkitSpeechGrammarList" "\0"
  /* 17176 */ "webkitSpeechRecognition" "\0"
  /* 17200 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

